WordPress.org

Make WordPress Core

Opened 6 years ago

Closed 6 years ago

#8797 closed defect (bug) (invalid)

upgrade-schema.php erroneously listed in update-core.php

Reported by: sampablokuper Owned by:
Milestone: Priority: low
Severity: normal Version:
Component: Upgrade/Install Keywords:
Focuses: Cc:

Description

I have a fresh install of WP 2.7. The wp-admin/includes/update-core.php file has a line (line 115) which reads,

'wp-admin/upgrade-schema.php',

suggesting that wp-admin/upgrade-schema.php will be found and overwritten during the next upgrade, as described here.

Yet in my fresh install, there exists no wp-admin/upgrade-schema.php file. Presumably, therefore, the line I've mentioned above from wp-admin/includes/update-core.php is redundant and should be removed.

Change History (1)

comment:1 @DD326 years ago

  • Milestone 2.7.1 deleted
  • Resolution set to invalid
  • Status changed from new to closed
  • Version 2.7 deleted

That codex page describes the files which will be deleted if they exist, and NOT replaced. Infact, its a bit dodgy actually, That file only lists files which will be deleted, yet the codex seems to suggest they'll be replaced by something(other than the void of space)

wp-admin/upgrade-schema.php was a file which was used in the past, which is no longer required by WordPress.

Note: See TracTickets for help on using tickets.